de.esprit.common.type

## Enum MessageDialogType

- java.lang.Object
- - java.lang.Enum<MessageDialogType>
  - - de.esprit.common.type.MessageDialogType

- All Implemented Interfaces:
    IconKey, NlsKey, java.io.Serializable, java.lang.Comparable<MessageDialogType>

      public enum MessageDialogType
      extends java.lang.Enum<MessageDialogType>
      implements NlsKey, IconKey

  Defines different types of Dialogs. Different types show up with different Icons.
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONFIRM`
    `ERROR`
    `INFO`
    `SERVER_ERROR`
    `SERVER_INFO`
    `SERVER_WARNING`
    `WARNING`

  - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nls.NlsKey

      `SUB_KEY_ACTION, SUB_KEY_COLUMN, SUB_KEY_CONFIRM, SUB_KEY_CONST, SUB_KEY_DBO, SUB_KEY_DEMO, SUB_KEY_ERROR, SUB_KEY_FIELD, SUB_KEY_GUI, SUB_KEY_HELP, SUB_KEY_INFO, SUB_KEY_LABEL, SUB_KEY_MENU, SUB_KEY_MESSAGE, SUB_KEY_MISC, SUB_KEY_STATUS, SUB_KEY_TIP, SUB_KEY_TOOL, SUB_KEY_WINDOW, SUB_KEY_WORKFLOW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAppKey()` Returns the base prefix of the key
    `javax.swing.Icon` | `getIcon()`
    `java.awt.Image` | `getImage()`
    `java.lang.String` | `getSubKey()` Returns the path of the key
    `java.lang.String` | `getText(java.lang.Object... args)` Returns the translated text, which is the value of the translation key as stored in the translation map.
    `boolean` | `isError()`
    `boolean` | `isInfo()`
    `boolean` | `isServerMessage()`
    `boolean` | `isWarning()`
    `static MessageDialogType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MessageDialogType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.nls.NlsKey

      `name`

    - ### Methods inherited from interface de.esprit.appsuite.nls.IconKey

      `name`

- - ### Enum Constant Detail

    - #### ERROR

          public static final MessageDialogType ERROR

    - #### WARNING

          public static final MessageDialogType WARNING

    - #### INFO

          public static final MessageDialogType INFO

    - #### CONFIRM

          public static final MessageDialogType CONFIRM

    - #### SERVER_ERROR

          public static final MessageDialogType SERVER_ERROR

    - #### SERVER_WARNING

          public static final MessageDialogType SERVER_WARNING

    - #### SERVER_INFO

          public static final MessageDialogType SERVER_INFO

  - ### Method Detail

    - #### values

          public static MessageDialogType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessageDialogType c : MessageDialogType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessageDialogType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isError

          public boolean isError()

    - #### isWarning

          public boolean isWarning()

    - #### isInfo

          public boolean isInfo()

    - #### getIcon

          public javax.swing.Icon getIcon()

      Specified by:
        `getIcon` in interface `IconKey`

    - #### getImage

          public java.awt.Image getImage()

      Specified by:
        `getImage` in interface `IconKey`

    - #### isServerMessage

          public boolean isServerMessage()

    - #### getAppKey

          public java.lang.String getAppKey()

      Description copied from interface: `NlsKey`
      Returns the base prefix of the key
      Specified by:
        `getAppKey` in interface `NlsKey`

    - #### getSubKey

          public java.lang.String getSubKey()

      Description copied from interface: `NlsKey`
      Returns the path of the key
      Specified by:
        `getSubKey` in interface `NlsKey`

    - #### getText

          public java.lang.String getText(java.lang.Object... args)

      Description copied from interface: `NlsKey`
      Returns the translated text, which is the value of the translation key as stored in the translation map.
      Specified by:
        `getText` in interface `NlsKey`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.